import pygame
pygame.init()
f = pygame.font.Font(r"c:\windows\fonts\Cour.ttf",18)

linesize = 4 * 12 * 32
buffer = [0 for i in xrange(linesize * 32 * 4)]

for char in xrange(1,128):
	position = (char%32, char/32)
	s = f.render(chr(char),True,(255,255,255,255),(0,0,0,0))
	for i in xrange(12):
		for j in xrange(32):
			try:
				alpha = s.get_at((i,j))[0]
				x = position[0]*12 + i
				y = position[1]*32 + j
				buffer[y * linesize + x*4 + 3] = alpha
			except:
				pass
buffer = "".join([chr(i) for i in buffer])

s = pygame.image.fromstring(buffer, (12 * 32, 32 * 4), "RGBA")
pygame.image.save(s, "test.tga")