from OpenGL import GL

def mul_body_matrix(ode_body):
	position = ode_body.getPosition()
	rotation = ode_body.getRotation()
	m = [0]*16
	for col in [0,1,2]:
		for row in [0,1,2]:
			m[col*4 + row] = rotation[col+row*3]
		m[3*4+col] = position[col]
	m[15] = 1
	GL.glMultMatrixd(m)